Προς το περιεχόμενο

Αρχειοθετημένο

Αυτό το θέμα έχει αρχειοθετηθεί και είναι κλειστό για περαιτέρω απαντήσεις.

Blackman

Zenoss Installation σε Ubuntu - Help needed

Προτεινόμενες αναρτήσεις

Παίδες θέλω να εγκαταστήσω το συγκεκριμένο πρόγραμμα στο Laptop της δουλειάς που έχω βάλει Ubuntu.

Το θέμα είναι το εξής...ότι στον γούγλη βγάζει επί των πλείστων ότι γίνετε εγκατάσταση σε Ubuntu Server. Δηλαδή αν δεν είναι server δεν μπορώ να το στήσω; Η πρέπει να τρέξω πάλι την εγκατάσταση ώστε να βάλω την server;

 

Στο 7.04 θυμάμαι την επιλογή...στο 7.10 δεν θυμάμαι να είδα πουθενά αν θέλω server ή όχι.

 

Αυτό είναι το ένα θέμα...

 

το άλλο θέμα είναι ότι έχω κατεβάσει τα αρχεία

 

zenoss-2.1.1-0.el5.i386.rpm

zenoss-2.1.1-0.el5.src.rpm

zenoss-2.1.1-0.el5.x86_64.rpm

 

από το site του Zenoss.

Χρειάζομαι κάτι άλλο; και ποια διαδικασία ακολουθώ για να τα εγκαταστήσω;

 

 

(το συγκεκριμένο πρόγραμμα έχει αναφερθεί σε ένα από τα προηγούμενα τεύχη του PC-Magazine, αλλά δεν έχω εύχαιρο το περιοδικό)

 

Σας ευχαριστώ εκ των προτέρων

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Προσωπικά δεν ξέρω το πρόγραμμα για το οποίο μιλάς, για να σου πω αν εγκαθίσταται μόνο σε Ubuntu Server. Αλλά μου φαίνεται λίγο περίεργο να είναι αδύνατο να κάνεις εγκατάσταση σε κανονικό Ubuntu, έστω κι αν χρειαστεί να βάλεις extra πακέτα και εξαρτήσεις.

 

Όταν εγκαθιστούσες το Ubuntu, δε σου έβγαλε επιλογή για server, γιατί το Ubuntu Sever edition εγκαθίσταται από άλλο cd.

 

Τα πακέτα που έχεις κατεβάσει όπως βλέπεις είναι rpm (red-hat package manager) ενώ το Ubuntu είναι deb based. Άρα χρειάζεσαι τα deb αρχεία. Δεν ξέρω αν υπάρχουν κι επίσης από όσο είδα θέλει registration για να τα κατεβάσει κανείς, οπότε προσπάθησε να τα μετατρέψεις σε deb:

 

Αν κατάλαβα καλά, και τα 3 αρχεία που έχεις κατεβάσει είναι το ίδιο πρόγραμμα, αλλά για διαφορετικές αρχιτεκτονικές. Εσύ πχ, θα μετατρέψεις το πρώτο. Για να το κάνεις αυτό θα χρειαστείς το alien. Γράψε sudo apt-get install alien.

Αφού εγκαταστάθηκε το alien πήγαινε με την εντολή cd στη θέση που βρίσκεται το πεκέτο και γράψε alien -d zenoss-2.1.1-0.el5.i386.rpm

 

Εκεί θα σου δημιουργηθεί το αντίστοιχο deb αρχείο του προγράμματος, που μετά εγκαθιστάς με διπλό κλικ ή με sudo dpkg -i zenoss-2.1.1-0.el5.i386.deb

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

ευχαριστώ για την απάντηση...

 

το παλεύω αρκετές ώρες και μέχρι στιγμής πάει καλά...

 

όταν με το καλό τελειώσω θα γράψω ένα πλήρη οδηγό εγκατάστασης

 

αυτό με το alien δεν το ήξερα καθότι και newbie...thanx

 

το Zenoss είναι πρόγραμμα inventoring...γενικότερα σου σκανάρει όλο το δίκτυο και σου φέρνει πολλές πληροφορίες μέσα από ένα web browser.

 

Δηλαδή το τρέχεις και μετά το έχεις προσβάσιμο παντού από το δίκτυο σου.

 

Όσοι δουλεύουν σε εταιρείες σε τμήμα IT σίγουρα θα το λατρέψουν, καθότι κάνει πολλά περισσότερα από ότι άλλα αντίστοιχα προγράμματα και το συμαντικότερο...είναι δωρεάν...

 

καθότι κάτι ανάλογο ξεκινάει από 3-4000ευρώ

 

εγώ καταφεύγω σε αυτή την λύση...γιατί δουλεύοντας σε αυτό...γλιτώνουμε λεφτά τα οποία θα πάνε σε κάτι άλλο για το τμήμα.

Οπότε κέρδος...

 

τώρα μένει να τεlειώσω την εγκατάσταση...γιατί κάθε τόσο κάτι βγάζει ότι λύπει από το σύστημα και εγκαθιστώ ότι λείπει.

 

η απλή έκδοση από την server είναι απλά κάποιες βιβλιοθήκες από ότι κατάλαβα, τις οποίες τισ κατεβάζεις στην μία έκδοση, ενώ στην server είναι εγκατεστημένες.

 

νεότερα...αργότερα

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Λοιπόν...να σας πω που βρίσκομαι...

 

Βρήκα ένα how to εδώ

 

http://www.howtoforge.com/zenoss_network_monitor_ubuntu

 

το οποίο έχει την διαδικασία βήμα βήμα...

αυτή την στιγμή έχω κολήσει στο βήμα 16 που είναι η εγκατάσταση του προγράμματος...καθότι κάθε τόσο λέει ότι λείπει κάτι από το σύστημα.

 

αρχικά εγκατέστησα το LAMP (Linux, Apache, MySQL, PHP) το οποίο How To το βρήκα εδώ

http://www.chatzimanolis.gr/post/LAMP-On-Ubuntu-7-10.aspx

και πήρα φόρα και έκανα τα βήματα.

 

όλα καλά...το πρώτο πρόβλημα το συνάντησα όταν στο 16ο βήμα έπρεπε να τρέξω το πρόγραμμα για εγκατάσταση όπου μου είπε ότι χρειάζετε το Python 2.3 ή 2.4

 

εγώ είχα το 2.5...

έψαξα και βρήκα ότι η 2.5 και η 2.4 μπορούν να συνυπάρξουν χωρίς κάποιο downgrade...

βρήκα την 2.4 και την εγκατέστησα.

Πάμε στο 16 και ξανα...

μετά από αρκετή ώρα εγκαταστάσεων που περίμενα...χτύπησε.

Κοιτάζω το log και ήθελε το autoconf 2.53, ενώ εγώ είχα παλαιώτερη έκδοση

To βρήκα...πάω να το εγκαταστήσω και μου λέει ότι έλειπε το GNU M4 1.4

To βρήκα και το έβαλα...οπότε και εγκαταστάθηκε και το autoconf.

 

 

make clean...για να σβηστούν ότι έχει κρατήσει από τις εγκαταστάσεις και πάλι εντολη εγκατάστασης του προγράμματος.

 

τώρα έχω κολήσει στο ότι λείπει το swig

 

και στην αναζήτηση αυτού εγκατέστησα yum, alien ...στην συνέχεια για να τρέξω εντολή yum μου είπε ότι έλειπε το module του Python, cElementTree, το οποίο βρήκα και εγκατέστησα.

 

Όμως το yum πάλι δεν τρέχει...γιατί ακόμα βλέπει ότι λείπει αυτό το module

ε...εδώ κουράστικα...τα αφήνω και θα συνεχίσω από Δευτέρα.

όποιος μπορεί να βοηθήσει τον κερνάω σουβλάκι χωρίς πίτα και γύρο.

 

:-P

εις το επανειδήν

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
×
×
  • Δημιουργία νέου...